import { IOptions } from 'glob';
import { GraphQLResolverMap } from '../utils';
export interface LoadSchemaFilesOptions {
    extensions?: string[];
    useRequire?: boolean;
    requireMethod?: any;
    globOptions?: IOptions;
    exportNames?: string[];
}
export declare function loadSchemaFiles(basePath: string, options?: LoadSchemaFilesOptions): string[];
export interface LoadResolversFilesOptions {
    ignoredExtensions?: string[];
    extensions?: string[];
    requireMethod?: any;
    globOptions?: IOptions;
    exportNames?: string[];
}
export declare function loadResolversFiles<Resolvers = GraphQLResolverMap<any>>(basePath: string, options?: LoadResolversFilesOptions): Resolvers[];
export declare function loadSchemaFilesAsync(basePath: string, options?: LoadSchemaFilesOptions): Promise<string[]>;
export declare function loadResolversFilesAsync<Resolvers = GraphQLResolverMap<any>>(basePath: string, options?: LoadResolversFilesOptions): Promise<Resolvers[]>;
