import { GraphQLSchema, DocumentNode } from "graphql";
import { SchemaDirectiveVisitor, IResolverValidationOptions, ILogger } from "@kamilkisiela/graphql-tools";
import { ResolversComposerMapping, GraphQLResolverMap } from "../utils";
export interface MergeSchemasConfig<Resolvers = GraphQLResolverMap<any>> {
    schemas: GraphQLSchema[];
    typeDefs?: (DocumentNode | string)[] | DocumentNode | string;
    resolvers?: Resolvers | Resolvers[];
    resolversComposition?: ResolversComposerMapping<Resolvers>;
    schemaDirectives?: {
        [directiveName: string]: typeof SchemaDirectiveVisitor;
    };
    resolverValidationOptions?: IResolverValidationOptions;
    logger?: ILogger;
}
export declare function mergeSchemas({ schemas, typeDefs, resolvers, resolversComposition, schemaDirectives, resolverValidationOptions, logger }: MergeSchemasConfig): GraphQLSchema;
export declare function mergeSchemasAsync({ schemas, typeDefs, resolvers, resolversComposition, schemaDirectives, resolverValidationOptions, logger }: MergeSchemasConfig): Promise<GraphQLSchema>;
